/mwf/v1/locationreturns minimum wage rates by location and effective date./mwf/v1/idreturns minimum wage rates by the minimum wage unique ID./mwf/v1/rates/effectivereturns upcoming minimum wage rates by effective date range.
Calling the /mwf/v1/location endpoint (GET)
The /mwf/v1/location endpoint (https://api.symmetry.com/mwf/v1/location) returns minimum wage rates by location (address or longitude/latitude pair) and effective date. The result contains all minimum wage rates for a location and effective date.
Query parameters
Valid lat/long coordinates will take precedence over a street address.
Sample GET request
streetAddress1:123 Main Stcity:Edisonstate:NJzipCode:08837effectiveDate:2021-01-01
Sample response
Calling the /mwf/v1/id endpoint (GET)
The /mwf/v1/id endpoint (https://api.symmetry.com/mwf/v1/id) returns minimum wage rates by the minimum wage unique ID (mwUid). The mwUid string is returned for each rate in the /mwf/v1/location endpoint and follows the format below.
stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode
For more information on each of the elements that make up the minimum wage unique ID, see Minimum wage unique IDs.
Query parameters
Please note the following on parameters:
- A wildcard
*can be used to return all possible values. - If both
effectiveDateandupdatedSinceare omitted, the entire rate history is returned. - Setting both
effectiveDateandupdatedSinceat the same time is not allowed. effectiveDatecannot be set in conjunction with rate type (majorType,industryTypeCode,minorTypeCode).- Limit results by setting
pageNumberandpageSize. When settingpageSizeto-1, all results will be returned in a single API call.
Sample GET request
effectiveDate:2021-01-31mwUid:06-3-277483-*-*-*pageNumber:0pageSize:1
Sample response
Calling the /mwf/v1/rates/effective endpoint (GET)
The /mwf/v1/rates/effective endpoint (https://api.symmetry.com/mwf/v1/rates/effective) returns upcoming minimum wage rates by effective date range. The result contains upcoming minimum wage rates for either the date range and/or mwUid specified in the query parameter.
Query parameters
Please note the following on parameters:
- A wildcard
*can be used to return all possible values. - To use the wildcard, use
*for each part of themwUidthat is part of the wildcard search.- For example, to search all future upcoming rates use the following:
/mwf/v1/rates/effective?mwUid=*-*-*-*-*-* - To search all future upcoming minimum wage rates for the state of Arizona, use the following:
/mwf/v1/rates/effective?mwUid=04-*-*-*-*-*
- For example, to search all future upcoming rates use the following:
- Setting either
fromortoas the single query parameter will return results accordingly:- For example,
/mwf/v1/rates/effective?from=2025-07-01will return future dates as of July 1, 2025. - Setting
/mwf/v1/rates/effective?to=2025-12-31will return future dates through December 31, 2025.
- For example,
- Combining a date range with
mwUidwill return future minimum wage changes for the specifiedmwUidonly.- For example,
/mwf/v1/rates/effective?from=2025-07-01&to=2025-12-31&mwUid=12-1-000000000-REG-000-000will return future minimum wage rates formwUid12-1-000000000-REG-000-000only.
- For example,
Sample GET request
from:2025-09-01to:2025-12-31
Sample response
Response objects
Minimum Wage Finder returns minimum wage data for all authority types (for example, state, city, and federal) along with the effective date, major type, industry, minor type, and other details for each rate. The/mwf/v1/id endpoint supports pagination, so pagination metadata is returned in addition to rate data.
Minimum wage rate object
normalizedAddress object
normalizedCoordinates object
rates array
Contains an array of minimum wage rate objects. See Minimum wage rate object.
ratesPage object
Returned from the /mwf/v1/id endpoint. Contains paginated minimum wage rate objects.
pageable object
Returned from the /mwf/v1/id endpoint.

